## fonts-liberation 1.07.0

=== Makefile ===
VER = 1.07.0
#VER = 1.06.0.$(shell date +%Y%m%d)
FONTFORGE = fontforge

TMPDIR := $(shell mktemp -d)
SFDFILES := src/LiberationMono-Bold.sfd src/LiberationMono-BoldItalic.sfd src/LiberationMono-Italic.sfd src/LiberationMono-Regular.sfd src/LiberationSans-Bold.sfd src/LiberationSans-BoldItalic.sfd src/LiberationSans-Italic.sfd src/LiberationSans-Regular.sfd src/LiberationSerif-Bold.sfd src/LiberationSerif-BoldItalic.sfd src/LiberationSerif-Italic.sfd src/LiberationSerif-Regular.sfd src/LiberationSansNarrow-Regular.sfd src/LiberationSansNarrow-Bold.sfd src/LiberationSansNarrow-Italic.sfd src/LiberationSansNarrow-BoldItalic.sfd
SCRIPTS := scripts/sfd2ttf.pe scripts/ttf2sfd.pe
MISCFILES := AUTHORS ChangeLog COPYING License.txt README TODO

all: build

build:
	$(foreach sfdfile, $(SFDFILES), $(FONTFORGE) -script ./scripts/sfd2ttf.pe $(sfdfile);)
	mkdir -p liberation-fonts-ttf-$(VER)/
	mv src/*.ttf liberation-fonts-ttf-$(VER)/

dist: dist-sfd dist-ttf

dist-src: dist-sfd

dist-sfd:
	mkdir -p $(TMPDIR)/liberation-fonts-$(VER)/{src,scripts}
	cp ../README ./
	cp Makefile $(MISCFILES) $(TMPDIR)/liberation-fonts-$(VER)/
	cp $(SFDFILES) $(TMPDIR)/liberation-fonts-$(VER)/src/
	cp $(SCRIPTS) $(TMPDIR)/liberation-fonts-$(VER)/scripts/
	tar Cczvf $(TMPDIR)/ liberation-fonts-$(VER).tar.gz \
	  liberation-fonts-$(VER)/

dist-ttf: clean-ttf build
	cp $(MISCFILES) liberation-fonts-ttf-$(VER)/
	tar czvf liberation-fonts-ttf-$(VER).tar.gz liberation-fonts-ttf-$(VER)/
#	zip -j liberation-fonts-ttf-$(VER).zip liberation-fonts-ttf-$(VER)/*
	rm -rf liberation-fonts-ttf-$(VER)
clean: clean-ttf clean-src

clean-ttf:
	rm -rf ttf liberation-fonts-*

clean-src:
	rm -f *.tar.gz

=== debian/changelog ===
fonts-liberation (1.07.0-2ubuntu0.1) precise-proposed; urgency=low

  * Fix hinting problem of Liberation Sans Bold character "u"
    at particular point sizes (Closes: #616620, LP: #1022352).
  * Fix Glyph '1' not the same width as other numerals.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 08 Jul 2012 20:54:07 +0200

fonts-liberation (1.07.0-2) unstable; urgency=low

  * Team upload
  * Rename source package to "fonts-liberation" to fit the Font
    Packages Naming Policy.
  * Bump Standards to 3.9.2 (checked)
  * Change fonts install directory from
    usr/share/fonts/truetype/ttf-liberation-* to
    usr/share/fonts/truetype/liberation
  * Bump debhelper compatibility to 8

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Oct 2011 14:40:01 +0200

ttf-liberation (1.07.0-1) unstable; urgency=low

  * merge upstream 1.07.0
  * Remove patches applied upstream.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 22 Jun 2011 10:00:16 +0200

ttf-liberation (1.06.0.20100721-1) unstable; urgency=low

  * New upstream release (Closes: #604084, #610938)
    + Contains a serious update for the Romanian language (LP: #706659).
  * Apply a patch by Cody Boisclair cherry-picked from upstream git that fixes
    the character widths in Liberation Mono so that it is correctly detected as
    monospaced (rhbz 620273, Closes: #567806).
  * Fix debian/watch file, thanks Anders Kaseorg.
  * Add myself to Uploaders.
  * Add Vcs-* fields to debian/control.
  * Adapt debian/install to match the new build-dir.
  * Allow fontforge-nox to satisfy Build-Depends-Indep.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 01 Feb 2011 11:38:12 +0100

ttf-liberation (1.05.2.20091019-4) unstable; urgency=low

  * Drop defoma use
  * Bump debhelper compatibility to 7
  * Use a minimal dh7-style rules file and drop cdbs use

 -- Christian Perrier <bubulle@debian.org>  Wed, 02 Dec 2009 22:44:58 +0100

ttf-liberation (1.05.2.20091019-3) unstable; urgency=low

  * Rebuild with new defoma to avoid #557321
  * Change section to fonts
  * Drop README.source as it is useless with the 3.0 source format

 -- Christian Perrier <bubulle@debian.org>  Sun, 22 Nov 2009 17:53:05 +0100

ttf-liberation (1.05.2.20091019-1) unstable; urgency=low

  * New upstream release
  * Fix watch file

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Nov 2009 15:24:52 +0100

ttf-liberation (1.04.93-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Actually install the reportbug script and the presubject file and set
    execute permissions for the reportbug script.

  [ Christian Perrier ]
  * Add README.source
  * Switch to 3.0 (quilt) source format
  * Update Standards to 3.8.3 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Nov 2009 18:18:19 +0100

ttf-liberation (1.04.93-1) unstable; urgency=low

  * New upstream version, only fixing the ugly greek letter m (U+03BC) in 
    liberation sans regular (Closes: #506469) and two other glyphs, which 
    were not reported to Debians BTS but to upstream.

 -- Holger Levsen <holger@debian.org>  Sun, 14 Dec 2008 14:15:42 +0000

ttf-liberation (1.04.92.dfsg-4) unstable; urgency=low

  * Do not install 65-ttf-liberation.conf, as /etc/fonts/conf.d/ \
    30-metric-aliases.conf and 45-latin.conf already provides those aliases.
    (Closes: #507367)
  * Add ${misc:Depends} to depends to please lintian. 

 -- Holger Levsen <holger@debian.org>  Tue, 02 Dec 2008 16:38:07 +0000

ttf-liberation (1.04.92.dfsg-3) unstable; urgency=low

  * Correct watch file. 

 -- Holger Levsen <holger@debian.org>  Sun, 30 Nov 2008 01:48:19 +0100

ttf-liberation (1.04.92.dfsg-2) unstable; urgency=low

  * Install in 65-ttf-liberation.conf in /etc/fonts/conf.avail/ and link it to
    /etc/fonts/conf.d/ (Closes: #507234)

 -- Holger Levsen <holger@debian.org>  Sat, 29 Nov 2008 17:24:56 +0100

ttf-liberation (1.04.92.dfsg-1) unstable; urgency=low

  * Base the package on the source tarball, not the binary tarball, doh. 
    (Closes: #506688), thus including the cdbs makefile.mk class to 
    debian/rules.
  * Add fontforge and zip to build-depends-indep as its needed to build from 
    source.
  * Add dversionmangle to watch file as .dfsg was added to the upstream 
    version to be able to upload with a new orig tarball (without 
    introducing an epoch).
  * Add a reportbug script for better bugreports.
  * Install 65-ttf-liberation.conf into /etc/fonts/conf.d/ 

 -- Holger Levsen <holger@debian.org>  Fri, 28 Nov 2008 17:07:30 +0000

ttf-liberation (1.04.92-1) unstable; urgency=low

  * New upstream release, fixing various glyphs and hintings. 
    (Closes: #489007)
  * Added myself to uploaders.

 -- Holger Levsen <holger@debian.org>  Sat, 08 Nov 2008 12:18:02 +0000

ttf-liberation (1.04~beta2-2) unstable; urgency=low

  * Fixed upstream download link in the copyright file
  * Fixed GPL-2 path in the copyright file
  * Bump standards version to 3.8.0, no changes needed

 -- Alan Baghumian <alan@technotux.org>  Thu, 19 Jun 2008 13:42:25 +0200

ttf-liberation (1.04~beta2-1) unstable; urgency=low

  * Initial release (Closes: #423503).

 -- Alan Baghumian <alan@technotux.org>  Thu, 12 Jun 2008 11:15:27 +0200

=== debian/control ===
Source: fonts-liberation
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Alan Baghumian <alan@technotux.org>, 
 Christian Perrier <bubulle@debian.org>, 
 Eugeniy Meshcheryakov <eugen@debian.org>,
 Holger Levsen <holger@debian.org>,
 Fabian Greffrath <fabian+debian@greffrath.com>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: fontforge-nox | fontforge, zip
Standards-Version: 3.9.2
Homepage: https://fedorahosted.org/liberation-fonts/
Vcs-Svn: svn://svn.debian.org/pkg-fonts/packages/fonts-liberation/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/fonts-liberation/

Package: fonts-liberation
Architecture: all
Depends: ${misc:Depends}
Replaces: ttf-liberation (<< 1.07.0-2)
Provides: ttf-liberation
Conflicts: ttf-liberation (<< 1.07.0-2)
Description: Fonts with the same metrics as Times, Arial and Courier
 A set of serif, sans-serif and monospaced fonts from Red Hat with
 exactly the same metrics as the (non-free) Microsoft Times, Arial
 and Courier fonts, which implies those fonts can serve as a drop-in
 replacement. The font family is named Liberation.

Package: ttf-liberation
Depends: fonts-liberation, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This package is a dummy transitional package. It can be safely removed.

## fonts-liberation 1.07.2

=== debian/changelog ===
fonts-liberation (1.07.2-6ubuntu1) raring; urgency=low

  * Mark package Multi-Arch: foreign (LP: #1123710)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 20 Mar 2013 19:32:44 +0100

fonts-liberation (1.07.2-6) unstable; urgency=low

  * The fonts-liberation packages must not "Provides: ttf-liberation"
    without actually providing the expected files (Closes: #689575).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 01 Nov 2012 21:47:01 +0100

fonts-liberation (1.07.2-5) unstable; urgency=medium

  * bug-799384.patch actually also reverts bug-714191.patch
    (introduced in 1.07.2-2), so fix that, too.
  * Urgency inherited from the previous upload.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 26 Jun 2012 08:39:45 +0200

fonts-liberation (1.07.2-4) unstable; urgency=medium

  * Remove the chunk of bug-799384.patch (introduced in 1.07.2-3)
    that reverts bug-715309.patch (introduced in 1.07.2-1) and
    thus reintroduces the hinting problem of Liberation Sans Bold
    character "u" at particular point sizes (Closes: #678517).
  * Raised urgency since this is a regression introduced in wheezy.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 25 Jun 2012 15:06:13 +0200

fonts-liberation (1.07.2-3) unstable; urgency=low

  * Fix problems with glyphs Ѝ (U+040D) for Bulgarian language.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 05 Jun 2012 16:00:23 +0200

fonts-liberation (1.07.2-2) unstable; urgency=low

  * Fix Glyph '1' not the same width as other numerals.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 28 Feb 2012 13:23:37 +0100

fonts-liberation (1.07.2-1) unstable; urgency=low

  [ Christian Perrier ]
  * As msome packages that have reverse dependencies on ttf-liberation
    may hardcode the font pathanames, provide symbolic links to the old
    pathnames
  * Set transitional package priority to extra

  [ Fabian Greffrath ]
  * merge upstream 1.07.2
  * Fix hinting problem of Liberation Sans Bold character "u"
    at particular point sizes (Closes: #616620).

 -- Christian Perrier <bubulle@debian.org>  Tue, 14 Feb 2012 19:52:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fonts-liberation
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Alan Baghumian <alan@technotux.org>, 
  Christian Perrier <bubulle@debian.org>, 
  Eugeniy Meshcheryakov <eugen@debian.org>,
@@ -16,9 +17,9 @@
 
 Package: fonts-liberation
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: ttf-liberation (<< 1.07.0-2)
-Provides: ttf-liberation
 Conflicts: ttf-liberation (<< 1.07.0-2)
 Description: Fonts with the same metrics as Times, Arial and Courier
  A set of serif, sans-serif and monospaced fonts from Red Hat with
@@ -29,7 +30,9 @@
 Package: ttf-liberation
 Depends: fonts-liberation, ${misc:Depends}
 Architecture: all
+Multi-Arch: foreign
 Section: oldlibs
+Priority: extra
 Description: transitional dummy package
  This package is a dummy transitional package. It can be safely removed.

## fonts-liberation 1.07.3

=== Makefile ===
# common targets:
# <no target>, build, ttf-dir: create dedicated dir with TTF files
# ttf:                         create export dir with TTF files, track changes
# 4web:                        dtto for TTF, WOFF, SVG, and EOT

FONTFORGE    = fontforge
FONTLINT     = fontlint

# TTF->EOT converters in fallback order
# the first one is canonical choice used in the release process
MKEOT        = mkeot
# URLs to be used for root string within EOT file;
# defaults to "libre roots" that allow usage on any common web page
MKEOT_URLS   = http:// https:// file://
TTF2EOT      = ttf2eot
ifneq ($(strip $(shell which $(MKEOT) 2>/dev/null)),)
    make_eot = $(MKEOT) $(1) $(MKEOT_URLS) > $(2)
else
    ifneq ($(strip $(shell which $(TTF2EOT) 2>/dev/null)),)
        make_eot = $(TTF2EOT) $(1) > $(2)
    else
        make_eot = $(error No tool for TTF->EOT conversion: $(MKEOT), $(TTF2EOT))
    endif
endif

EXPORTSCRIPT = scripts/fontexport.pe
SCRIPTS      = $(EXPORTSCRIPT) scripts/sfd2ttf.pe scripts/ttf2sfd.pe
MISCFILES    = AUTHORS ChangeLog COPYING License.txt README TODO
SRCDIR       = src
EXPORTDIR    = export
CHECK_PREFIX = check

VER          = 1.07.3
NAME         = Liberation
VARIANTS     = \
    Mono-Regular       Mono-Bold        Mono-Italic       Mono-BoldItalic       \
    Sans-Regular       Sans-Bold        Sans-Italic       Sans-BoldItalic       \
    Serif-Regular      Serif-Bold       Serif-Italic      Serif-BoldItalic      \
    SansNarrow-Regular SansNarrow-Bold  SansNarrow-Italic SansNarrow-BoldItalic

DISTPREFIX     := liberation-fonts-$(VER)
DISTPREFIX_TTF := liberation-fonts-ttf-$(VER)
SFDFILES       := $(addprefix $(SRCDIR)/$(NAME),    $(VARIANTS:=.sfd))
TTFFILES       := $(addprefix $(EXPORTDIR)/$(NAME), $(VARIANTS:=.ttf))

# keeping backward compatibility for "build"
all build: ttf-dir

$(EXPORTDIR):
	mkdir -p $@

# TrueType/OpenType Font, general usage
# - ttf cares about source file changes, using shared EXPORTDIR
# - ttf-dir should be a bit more efficient, creating dedicated dir for TTF
FORMATS = ttf
ttf-dir:: $(SFDFILES)
	$(FONTFORGE) -script $(EXPORTSCRIPT) -ttf $^
	mkdir -p $(DISTPREFIX_TTF)
	mv $(addsuffix .ttf,$(basename $^)) $(DISTPREFIX_TTF)

# web sites usage
# Web Open Font Format (WOFF); for all modern browsers (W3C recommendation)
FORMATS += woff
# SVG Font; only for WebKit and Presto based browsers (Firefox "avoids" it)
FORMATS += svg
# Embedded OpenType (EOT); MSIE only [extra recipe, FontForge can't create EOT]
FORMATS += eot
eot:: $(addprefix $(EXPORTDIR)/$(NAME), $(VARIANTS:=.eot))
	@echo
$(EXPORTDIR)/%.eot: $(EXPORTDIR)/%.ttf | $(EXPORTDIR)
	$(call make_eot,$<,$@)
4web: ttf woff svg eot

# XXX: declare other formats here if needed (TeX, etc.)

# default for formats without extra recipes defined above (e.g., not "eot"):
# summary per-format target + single file export for these declared formats
define FORMAT_template =
$(1):: $$(addprefix $$(EXPORTDIR)/$$(NAME), $$(VARIANTS:=.$(1)))
	@echo
$$(EXPORTDIR)/%.$(1):: $$(SRCDIR)/%.sfd | $$(EXPORTDIR)
	$$(FONTFORGE) -script $$(EXPORTSCRIPT) -$$(lastword $$(subst ., ,$$@)) $$< 2>/dev/null
	mv $$(SRCDIR)/$$(notdir $$@) $$(EXPORTDIR)
endef
$(foreach format,$(FORMATS),$(eval $(call FORMAT_template,$(format))))

dist: clean-dist dist-sfd dist-ttf
dist-src: dist-sfd

dist-sfd:: $(SFDFILES)
	tempdir=$$(mktemp -d) \
	  && mkdir -p $${tempdir}/$(DISTPREFIX)/{src,scripts} \
	  && cp Makefile $(MISCFILES) $${tempdir}/$(DISTPREFIX) \
	  && cp $(SFDFILES) $${tempdir}/$(DISTPREFIX)/src \
	  && cp $(SCRIPTS) $${tempdir}/$(DISTPREFIX)/scripts \
	  && tar Cczvhf $${tempdir} $(DISTPREFIX).tar.gz $(DISTPREFIX) \
	  || echo 'Problem encountered ($@)'; rm -rf -- $${tempdir}
dist-ttf: ttf
	tempdir=$$(mktemp -d) \
	  && mkdir -p $${tempdir}/$(DISTPREFIX_TTF) \
	  && cp $(MISCFILES) $(TTFFILES) $${tempdir}/$(DISTPREFIX_TTF) \
	  && tar Cczvhf $${tempdir} $(DISTPREFIX_TTF).tar.gz $(DISTPREFIX_TTF) \
	  || echo 'Problem encountered ($@)'; rm -rf -- $${tempdir}
# substitute tar line with this if needed:
#	  && zip -j $(DISTPREFIX_TTF).zip $(MISCFILES) $(TTFFILES) \

check:
	log="$(CHECK_PREFIX)_$$(git describe --dirty --always 2>/dev/null||date +%Y%m%d)" \
	  && for sfd in $(SFDFILES); do \
	         $(FONTLINT) $${sfd} 2>/dev/null | tee -a $${log}; echo; \
	     done

clean: clean-dist
	rm -rf -- $(DISTPREFIX)* $(DISTPREFIX_TTF)*
	rm -rf -- $(EXPORTDIR)
	rm -f -- $(CHECK_PREFIX)_*
clean-dist:
	rm -f -- *.tar.gz *.zip

.PHONY: all build ttf-dir ttf dist dist-src dist-sfd dist-ttf 4web $(FORMATS) check clean clean-dist

=== debian/changelog ===
fonts-liberation (1.07.3-3) unstable; urgency=low

  * Add back transitional ttf-liberation dummy package (Closes: #725646).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 08 Oct 2013 06:24:41 +0200

fonts-liberation (1.07.3-2) unstable; urgency=low

  * Apply patch from upstream to fix re-introduced RH#715309 (hinting problem
    of Liberation Sans Bold character 'u' at particular point sizes)
  * Bump Standards-Version to 3.9.4, no further changes needed.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 29 Aug 2013 09:49:30 +0200

fonts-liberation (1.07.3-1) unstable; urgency=low

  * Imported Upstream version 1.07.3
  * Remove patch, applied upstream.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 26 Aug 2013 10:07:35 +0200

fonts-liberation (1.07.2-7) unstable; urgency=low

  * Fix Vcs-* fields in debian/control to point to the GIT repository,
    thanks Christian Perrier!
  * Mark binary packages Multi-Arch: foreign (Closes: #694864, #705178).
  * Change Conflicts to Breaks: ttf-liberation (<< 1.07.0-2).
  * Remove Build-Depends-Indep: zip, it's never been actually used at all.
  * Replace patch set with combined patch from
    liberation-fonts-1.07.2-13.fc19.src.rpm Fedora package.
  * Remove transitional ttf-liberation dummy package.
  * Remove obsolete Breaks and Replaces: ttf-liberation (<< 1.07.0-2).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 18 Jul 2013 18:16:29 +0200

=== debian/watch ===
version=3
https://fedorahosted.org/releases/l/i/liberation-fonts/liberation-fonts-([0-9\.]*)\.tar\.gz

## fonts-liberation 1.07.4

=== debian/changelog ===
fonts-liberation (1:1.07.4-11) unstable; urgency=medium

  * Remove myself from uploaders.

 -- Holger Levsen <holger@debian.org>  Sat, 22 Feb 2020 23:20:33 +0100

fonts-liberation (1:1.07.4-10) unstable; urgency=medium

  * Drop Christian Perrier from uploaders. Thanks for all the nice work,
    bubulle! Closes: #927555.
  * Bump standards version to 4.4.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 08 Jul 2019 15:50:01 +0200

fonts-liberation (1:1.07.4-9) unstable; urgency=medium

  * d/control:
    - update to yet another new Homepage.
    - use canonical URL for Vcs-Git, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Tue, 04 Dec 2018 12:15:28 +0100

fonts-liberation (1:1.07.4-8) unstable; urgency=medium

  [ Rene Engelhard ]
  * debian/patches/unset_OS2_UseTypoMetrics.patch: add missing ":".
    (Closes: #907487)

  [ Holger Levsen ]
  * d/control:
    - update Homepage: to new URL.
    - bump Standards-Version to 4.2.1, no changes needed.
    - bump debian/compat to 11 and build-depend on debhelper >= 11~.
    - use the new debhelper-compat(=11) notation and drop d/compat.
    - add "Rules-Requires-Root: no" header after testing this is the case.
    - drop empty line at the end, thanks lintian.
  * Drop trailing whitespaces from d/changelog, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Thu, 01 Nov 2018 14:25:18 +0100

fonts-liberation (1:1.07.4-7) unstable; urgency=medium

  * d/control:
    - switch packaging to salsa.debian.org. Thanks to the alioth admins for
      providing such a nice service so long!
    - bump Standards-Version to 4.1.4, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 31 May 2018 00:24:01 +0000

fonts-liberation (1:1.07.4-6) unstable; urgency=medium

  * Team upload

  [ Rene Engelhard ]
  * debian/patches/unset_OS2_UseTypoMetrics.patch: backport patch from upstream
    PR#19 to unset OS2_UseTypoMetrics to restore subtile glyph changes (e.g.
    breaking LOs unit tests). (closes: #898116)

 -- Rene Engelhard <rene@debian.org>  Mon, 07 May 2018 15:19:39 +0200

fonts-liberation (1:1.07.4-5) unstable; urgency=medium

  * Drop transitional package ttf-liberation which has been a dummy package
    since wheezy. Also drop debian/ttf-liberation.links file.
    (Closes: #878536)
  * Bump Standards to 4.1.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Oct 2017 11:54:47 +0200

fonts-liberation (1:1.07.4-4) unstable; urgency=medium

  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~.

 -- Holger Levsen <holger@debian.org>  Thu, 28 Sep 2017 18:30:16 +0200

fonts-liberation (1:1.07.4-3) unstable; urgency=medium

  * debian/control:
    - move to section "optional" (from extra).
    - bump Standards-Version to 4.1.0.
    - move homepage to pagure.io.
  * debian/copyright: adopt to new hosting.
  * debian/watch: adopt to new hosting.

 -- Holger Levsen <holger@debian.org>  Thu, 28 Sep 2017 15:20:29 +0200

fonts-liberation (1:1.07.4-2) unstable; urgency=medium

  * Revert back to version 1.07.4 until the hinting issues
    of the v2 series have been fixed upstream, c.f.
    https://bugzilla.redhat.com/show_bug.cgi?id=856239
    Closes: #835273. Reopens: #699322.
  * Apply all upstream GIT commits from the
    liberation-fonts-1_07_3 branch since the 1.07.4 release.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 29 Aug 2016 23:07:16 +0200

fonts-liberation (2.00.1-2) unstable; urgency=medium

  [ Holger Levsen ]
  * Upload to unstable. (Closes: #699322)
  * Bump Standards to 3.9.8, no changes.

  [ Fabian Greffrath ]
  * Remove "Recommends: fonts-liberation-sans-narrow", this package does
    not exist (yet).
  * Add back transitional ttf-liberation dummy package (Closes: #725646).
  * Run "wrap-and-sort -asb".
  * Apply all upstream GIT commits since the 2_00_1 tag.
  * Update Uploaders field with my Debian e-mail address.
  * Fix vcs-field-uses-insecure-uri lintian warning.
  * Bump debhelper compat to 9.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 18 Aug 2016 21:24:46 +0200

fonts-liberation (2.00.1-1) experimental; urgency=low

  * Imported Upstream version 2.00.1 (Closes: #699322).
    + Liberation Fonts from version 2.00.0 onward are based on Google Croscore
      fonts (Arimo, Cousine, Tinos) to resolve long standing licensing problems
      and also get more glyph coverage.
    + Current releases are licensed under the SIL Open Font License,
      Version 1.1, but do not include the Liberation Sans Narrow font anymore
      due to conflicting licenses.
  * Fix Vcs-* fields in debian/control to point to the GIT repository,
    thanks Christian Perrier!
  * Mark binary packages Multi-Arch: foreign (Closes: #694864, #705178).
  * Change Conflicts to Breaks: ttf-liberation (<< 1.07.0-2).
  * Remove Build-Depends-Indep: zip, it's never been actually used at all.
  * Remove all patches, they do not apply anymore.
  * Add Build-Depends-Indep: fonttools for setisFixedPitch-fonttools.py.
  * Remove transitional ttf-liberation dummy package.
  * Add Recommends: fonts-liberation-sans-narrow.
  * Remove obsolete Breaks and Replaces: ttf-liberation (<< 1.07.0-2).
  * Update debian/copyright with the new upstream license terms
    (SIL Open Font License Version 1.1).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 18 Jul 2013 18:17:36 +0200

=== debian/control ===
Source: fonts-liberation
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders:
 Alan Baghumian <alan@technotux.org>,
 Eugeniy Meshcheryakov <eugen@debian.org>,
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper-compat (=11)
Build-Depends-Indep:
 fontforge-nox | fontforge,
 fonttools
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://github.com/liberationfonts/liberation-1.7-fonts
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-liberation.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-liberation

Package: fonts-liberation
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Fonts with the same metrics as Times, Arial and Courier
 A set of serif, sans-serif and monospaced fonts from Red Hat with
 exactly the same metrics as the (non-free) Microsoft Times, Arial
 and Courier fonts, which implies those fonts can serve as a drop-in
 replacement. The font family is named Liberation.

=== debian/watch ===
version=3
https://releases.pagure.org/liberation-fonts/liberation-fonts-(1\.[0-9\.]*)\.tar\.gz

## fonts-liberation 2.1.5

=== debian/changelog ===
fonts-liberation (1:2.1.5-3) unstable; urgency=medium

  * Shorten and improve package description.
  * Source-only upload to allow migration to testing.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 13 Jul 2023 17:01:49 +0200

fonts-liberation (1:2.1.5-2) unstable; urgency=medium

  * Fix debian/watch file.
  * Update debian/copyright.
  * Take over src:fonts-liberation, turn fonts-liberation2 into a
    transitional package, recommend fonts-liberation-sans-narrow.
  * Adopt the epoch of src:fonts-liberation to enable a smooth
    transition, c.f.
    https://lists.debian.org/debian-devel/2023/06/msg00220.html

 -- Fabian Greffrath <fabian@debian.org>  Fri, 23 Jun 2023 11:23:53 +0200

fonts-liberation2 (2.1.5-1) unstable; urgency=medium

  * New upstream version 2.1.5
  * Bump Standards-Version to 4.6.0

 -- Fabian Greffrath <fabian@debian.org>  Thu, 21 Oct 2021 12:31:42 +0200

fonts-liberation2 (2.1.4-2) unstable; urgency=medium

  * No-change source-only upload.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 25 Aug 2021 16:49:57 +0200

fonts-liberation2 (2.1.4-1) unstable; urgency=medium

  * Fix debian/watch file.
  * New upstream version 2.1.4
  * Bump Standards-Version to 4.5.1.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 20 Aug 2021 09:14:52 +0200

fonts-liberation2 (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3

 -- Fabian Greffrath <fabian@debian.org>  Sun, 14 Mar 2021 21:17:08 +0100

fonts-liberation2 (2.1.2-2) unstable; urgency=medium

  * Suppress upstream's own install rule, so the fonts don't end up
    packaged twice. Thanks stephrom, Closes: #980289.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 18 Jan 2021 21:12:42 +0100

fonts-liberation2 (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2

 -- Fabian Greffrath <fabian@debian.org>  Thu, 31 Dec 2020 17:46:10 +0100

fonts-liberation2 (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * Update Debian Fonts Task Force mailing list address in the
    Maintainer field.
  * Bump debhelper-compat to 13.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 21 Jun 2020 11:49:13 +0200

fonts-liberation2 (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Bump Standards-Version to 4.5.0.
  * Bump debian-compat to 12.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 16 Feb 2020 14:30:22 +0100

fonts-liberation2 (2.00.5-2) unstable; urgency=medium

  * Drop Christian Perrier from uploaders. Thanks for all the nice work,
    bubulle! Closes: #927517.
  * Bump standards version to 4.4.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 08 Jul 2019 15:52:10 +0200

fonts-liberation2 (2.00.5-1) unstable; urgency=medium

  * New upstream version 2.00.5

 -- Fabian Greffrath <fabian@debian.org>  Sat, 09 Mar 2019 18:05:35 +0100

fonts-liberation2 (2.00.4-1) unstable; urgency=medium

  * New upstream version 2.00.4
  * Remove patches, applied upstream.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 09 Nov 2018 16:36:46 +0100

fonts-liberation2 (2.00.3-1) unstable; urgency=medium

  * Follow upstream's move to GitHub.
  * New upstream version 2.00.3.
  * Remove all patches applied upstream.
  * Do not override the PYTHON variable in the build rule anymore.
  * Remove trailing whitespace from debian/changelog.
  * Bump debhelper compat to 11.
  * Fix vcs-field-not-canonical lintian warning.
  * Bump Standards-Version to 4.2.1, add Rules-Requires-Root and set it to "no".
  * Convert debian/copyright to DEP5 format, assume GPL-2+ for debian/*.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 25 Sep 2018 18:04:07 +0200

fonts-liberation2 (2.00.1-7) unstable; urgency=medium

  * d/control:
    - switch packaging to salsa.debian.org. Thanks to the alioth admins for
      providing such a nice service so long!
    - bump Standards-Version to 4.1.4, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 31 May 2018 00:34:06 +0000

fonts-liberation2 (2.00.1-6) unstable; urgency=medium

  * Team upload

  [ Rene Engelhard ]
  * debian/patches/unset_OS2_UseTypoMetrics.patch: backport patch from upstream
    PR#18 to unset OS2_UseTypoMetrics to restore subtile glyph changes (e.g.
    breaking LOs unit tests) (closes: #898115)

 -- Rene Engelhard <rene@debian.org>  Mon, 07 May 2018 13:20:33 +0000

fonts-liberation2 (2.00.1-5) unstable; urgency=medium

  [ Holger Levsen ]
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Fri, 29 Sep 2017 15:08:17 +0200

fonts-liberation2 (2.00.1-4) unstable; urgency=medium

  * Convert scripts/setisFixedPitch-fonttools.py to python3 syntax,
    explicitly call fonttools scripts with python3,
    bump Build-Depends on fonttools to the first version providing
    python3 modules; thanks Adrian Bunk (Closes: #876837).
  * Update Debian packaging following upstream's migration to pagure.io.
  * Fix typo in README.Debian.
  * Bump Standards-Version to 4.1.0.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 28 Sep 2017 20:18:56 +0200

fonts-liberation2 (2.00.1-3) unstable; urgency=medium

  * Rename source and binary packages to fonts-liberation2 (Closes: #699322).
  * Remove transitional ttf-liberation dummy package.
    It is a binary package of src:fonts-liberation by now.
  * Drop Breaks and Replaces against the ttf-liberation package.
  * Add a debian/README.Debian file to explain this package's
    relation to fonts-liberation.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 14 Sep 2016 20:57:13 +0200

=== debian/control ===
Source: fonts-liberation
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Alan Baghumian <alan@technotux.org>,
 Eugeniy Meshcheryakov <eugen@debian.org>,
 Holger Levsen <holger@debian.org>,
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper-compat (= 13)
Build-Depends-Indep:
 fontforge-nox | fontforge,
 fonttools (>> 3.15.1)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/liberationfonts
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-liberation2.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-liberation2

Package: fonts-liberation
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 fonts-liberation-sans-narrow
Breaks:
 fonts-liberation2 (<< 1:2.1.5-2~),
Replaces:
 fonts-liberation2 (<< 1:2.1.5-2~),
Description: fonts with the same metrics as Times, Arial and Courier
 The Liberation font family is a set of serif, sans-serif and
 monospaced fonts with exactly the same metrics as the non-free
 Microsoft fonts Times New Roman, Arial and Courier New.

Package: fonts-liberation2
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-liberation (>= 1:2.1.5-2~),
 ${misc:Depends}
Description: transitional dummy package
 This package is a dummy package. It can be safely removed.

=== debian/watch ===
version=4
https://github.com/liberationfonts/liberation-fonts/tags \
https://github.com/liberationfonts/liberation-fonts/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@
